Text.XML.Stream.Parse

# Parsing XML files

parseBytes

parseBytesPos

parseText

detectUtf

parseFile

parseLBS

## Parser settings

data ParseSettings

def

type DecodeEntities

psDecodeEntities

### Entity decoding

decodeXmlEntities

decodeHtmlEntities

# Event parsing

tag

tagPredicate

tagName

tagNoAttr

content

contentMaybe

# Attribute parsing

data AttrParser a

requireAttr

optionalAttr

requireAttrRaw

optionalAttrRaw

ignoreAttrs

# Combinators

orE

choose

many

force

# Exceptions

data XmlException

# Other types

data PositionRange

type EventPos